#include "CTestApp.h"
#include "CPrefDialog.h"

#include <LGrowZone.h>
#include <LWindow.h>
#include <PP_Messages.h>
#include <PP_Resources.h>
#include <PPobClasses.h>
#include <UDrawingState.h>
#include <UMemoryMgr.h>
#include <URegistrar.h>
#include <LEditField.h>

// put declarations for resource ids (ResIDTs) here
const ResIDT MENU_File = 129;
const MessageT cmd_Preferences = 1000;
const ResIDT DLOG_Preferences = 200;

void main(void)
{
	InitializeHeap(3);
	UQDGlobals::InitializeToolbox(&qd);
	new LGrowZone(20000);
	
	CTestApp theApp;
	theApp.Run();
}

CTestApp::CTestApp()
{
	RegisterAllPPClasses();
	
	mHandle = NULL;
}

CTestApp::~CTestApp()
{
}

Boolean
CTestApp::ObeyCommand(
	CommandT	inCommand,
	void		*ioParam)
{
	Boolean		cmdHandled = true;

	switch (inCommand) {
	
		case cmd_Preferences: {
				StPrefDialog prefs(this, MENU_File, DLOG_Preferences, mHandle);
				
				if (prefs.DoDialog() != cmd_Nothing) {
//					gPrefs->Save();
				}
			}
			break;
	
		default:
			cmdHandled = LApplication::ObeyCommand(inCommand, ioParam);
			break;
	}
	
	return cmdHandled;
}

void
CTestApp::FindCommandStatus(
	CommandT	inCommand,
	Boolean		&outEnabled,
	Boolean		&outUsesMark,
	Char16		&outMark,
	Str255		outName)
{

	switch (inCommand) {
		case cmd_Preferences:
		case cmd_About:
		case cmd_Quit:
			outEnabled = true;
			break;

		default:
			LApplication::FindCommandStatus(inCommand, outEnabled,
												outUsesMark, outMark, outName);
			break;
	}
}
